Skip to main content

Query Task Status

You can check the status of any task by querying the task API:
#The workspace gateway also provides GET /api/v1/task/{workspaceId}/{taskId} with a Beam bearer token. Obtain the workspace ID from /api/v1/workspace/current. The workspace and api.beam.cloud/v2 responses are different representations; do not assume their fields are interchangeable. See workspace REST.

Task Statuses

Your payload will return the status of the task. These are the possible statuses for a task:

Request

Response

The response to /task returns the following data:
To parse stub.config, use json.loads() or an equivalent JSON decoder in your language.
Here’s what the response payload looks like as JSON:

Task Cost

The per-task Cost shown in the dashboard is not returned by this API — it is currently only available in the dashboard. To estimate task cost programmatically, multiply the task duration (ended_at − started_at) by the per-second rates of the CPU, memory, and GPU your app requests. You can find the current rates on the pricing page.